#ifndef BercServerFilter_h
#define BercServerFilter_h

#include <app/Messenger.h>
#include <app/Message.h>
#include <support/List.h>
#include <add-ons/input_server/InputServerFilter.h>

#include "EventHandler.h"

extern "C" _EXPORT BInputServerFilter * instantiate_input_filter();

class BercServerFilter : public BInputServerFilter
{
public:
   BercServerFilter();
   virtual ~BercServerFilter();
   virtual status_t InitCheck();
   virtual filter_result Filter(BMessage * message, BList * outlist);
   
private:
   EventHandler   *pc_EventHandler;   // class that will execute actions
   BMessenger     c_EventMessenger; // messenger associated with the handler
};

#endif
