#include <stdio.h>
#include <drivers/ISA.h>

#define BASE_ADDR 0x2f8

#define UART_MCR     4     /* Out: Modem Control Register */
#define UART_MCR_RTS 0x02  /* RTS complement */

isa_module_info  *gps_Isa;

int main(void)
{
   int value;
   status_t s = get_module( B_ISA_MODULE_NAME, (module_info **) &gps_Isa);
   if(s != B_OK)
      return(s);

   value = gps_Isa->read_io_8(BASE_ADDR + UART_MCR);
   printf("MCR = 0x%X\n", value);

   value ^= UART_MCR_RTS;
   gps_Isa->write_io_8(BASE_ADDR + UART_MCR, value );
      
}
